package com.tmerclub.cloud.api.multishop.feign;

import com.tmerclub.cloud.api.multishop.vo.ShopUserVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;
/**
 * @author lanhai
 */
public interface ShopUserFeignClient {
    /**
     * 根据userId获取商家员工和账号信息
     * @param userId
     * @return
     */
    ServerResponseEntity<ShopUserVO> getByUserId(Long userId);
    /**
     * 根据userId获取商家员工信息
     * @param userId
     * @return
     */
    ShopUserVO getSimpleByUserId(Long userId);


    /**
     * 根据用户id列表查名称
     * @param userIds 用户id列表
     * @return
     */
    List<ShopUserVO> getImShopUserList(List<Long> userIds);


    /**
     * 根据手机号码查询账户数量
     *
     * @param mobile 手机号码
     * @return 账户数量
     */
    ServerResponseEntity<Integer> countAccoutByMobile(String mobile);

    /**
     * 根据店铺id获取店主id
     * @param shopId
     * @return
     */
    ServerResponseEntity<Long> getShopUserIdByShopId(Long shopId);

}
